Subject: [PATCH 01/14] pinctrl: SPEAr: add spi chipselect control driver

From: [email-masked] (Arnd Bergmann)
Date: Mon, 12 Nov 2012 15:03:28 +0000

On Sunday 11 November 2012, Viresh Kumar wrote:
> From: Shiraz Hashim <[email-masked]>
> 
> SPEAr platform provides a provision to control chipselects of ARM PL022
> Prime Cell spi controller through its system registers, which otherwise
> remains under PL022 control which some protocols do not want.
> 
> This commit intends to provide the spi chipselect control in software
> over gpiolib interface. Since it is tied to pinctrl, we place it under
> 'drivers/pinctrl/spear/' directory.
> 
> spi chip drivers can use the exported gpiolib interface to define their
> chipselect through DT or platform data.
> 
> Cc: Linus Walleij <[email-masked]>

The driver looks ok to me, but I'll wait for Linus to take a look first
and give his ack.

	Arnd